<?php

error_reporting(0);
require_once 'include/common.inc.php';
require_once 'class/core/Oaipmh.class.php';
require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/Request.class.php';
require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/Utils.class.php';

$oaipmh = new Xoonips_Oaipmh(Xoonips_Utils::getDirname(), Xoonips_Utils::getTrustDirname());

$request = new Xoonips_Request();
$args['verb'] = $request->getParameter2('verb');
$args['metadataPrefix'] = $request->getParameter2('metadataPrefix');
$args['set'] = $request->getParameter2('set');
$args['from'] = $request->getParameter2('from');
$args['until'] = $request->getParameter2('until');
$args['identifier'] = $request->getParameter2('identifier');
$args['resumptionToken'] = $request->getParameter2('resumptionToken');

$oaipmh->exec($args);
?>
